<?php
if (!defined('ABSPATH')) {
    exit;
}

// Plugin activation in Wordpress

function mcisps_init()
{
    global $wpdb;
    $tabla_mcisps_options = sanitize_text_field($wpdb->prefix) . 'mcisps_options';
    $charset_collate      = sanitize_text_field($wpdb->get_charset_collate()); // get the order of the current DB to respect the same order
    //obtiene el orden de la BD actual para respetar el mismo orden

    //Create options table
    //Crear tabla options
    $wpdb->query("CREATE TABLE IF NOT EXISTS " . esc_sql($tabla_mcisps_options) . "(
        id int(20) NOT NULL AUTO_INCREMENT,
        mcisps_option varchar(80),
		mcisps_value varchar(80),
        PRIMARY KEY(id)
    ) " . esc_sql($charset_collate) . "");

    update_option('mcisps_version', MCISPS_VERSION);
}
register_activation_hook(__FILE__, 'mcisps_init');

// Compare version and execute mcisps_init if version is different
function mcisps_check_version()
{
    if (MCISPS_VERSION != get_option('mcisps_version')) {
        mcisps_init();
    }
}
add_action('plugins_loaded', 'mcisps_check_version');