<?php

if (!defined('ABSPATH')) {
    exit;
}

// Add item tu WooCommerce menu and configuration page
function mcisps_item_woocommerce_menu()
{
    add_submenu_page('woocommerce',
        'Simple Product Sample', // Page title
        'Simple Product Sample', // Menu title
        'manage_categories', // permissions
        'simple-product-sample', // slug
        'mcisps_configuration_panel', // function that contains the configuration code
        75// position
    );
}
add_action("admin_menu", "mcisps_item_woocommerce_menu");

// Plugin configuration function
function mcisps_configuration_panel()
{

    function get_mcisps_option($option)
    {
        global $wpdb;
        $tabla_mcisps_options = sanitize_text_field($wpdb->prefix) . 'mcisps_options';

        $sql        = $wpdb->prepare("SELECT mcisps_value FROM $tabla_mcisps_options WHERE mcisps_option = %s", $option);
        $get_option = $wpdb->get_results($sql);

        if (count($get_option) > 0) {
            $get_option = $get_option[0]->mcisps_value;
            return $get_option;
        } else {
            return null;
        }
    }

    if (isset($_POST['submit_update'])) {
        function set_mcisps_option($option, $value)
        {
            global $wpdb;
            $tabla_mcisps_options = sanitize_text_field($wpdb->prefix) . 'mcisps_options';

            $sql              = $wpdb->prepare("SELECT mcisps_option FROM $tabla_mcisps_options WHERE mcisps_option = %s", $option);
            $count_res_option = $wpdb->query($sql);

            if ($count_res_option == 0) {
                $sql2 = $wpdb->prepare("INSERT INTO $tabla_mcisps_options VALUES(null, %s, %s)", $option, $value);
                $wpdb->query($sql2);
            } else {
                $sql2 = $wpdb->prepare("UPDATE $tabla_mcisps_options SET mcisps_value = %s WHERE mcisps_option = %s", $value, $option);
                $wpdb->query($sql2);
            }

        }
        //Set option line in DB table
        //No variations
        isset($_POST['no_variations']) ? $no_variations = 1 : $no_variations = 0;
        {
            set_mcisps_option('no_variations', $no_variations);
        }
        //Max samples
        isset($_POST['max_samples']) ? $max_samples = $_POST['max_samples'] : $max_samples = 3;
        {
            set_mcisps_option('max_samples', $max_samples);
        }

    } // end submit_update

    echo '<div id="mcisps_background_title_panel">';
    echo '<h2 id="mcisps_title_panel">';
    echo esc_html('SIMPLE PRODUCT SAMPLE');
    echo '</h2>';
    echo '</div>';
    ?>
<!-- <p><?php //esc_html_e('Do you want the Premium version? ', 'simple-product-sample');?> <a href="https://mci-desarrollo.es/simple-product-sample-premium" target="_blank">Get it</a></p> -->
<p><?php esc_html_e('Do you need we customize the plugin for you? Send us an email to', 'supplier-order-email');?> <a
    href="mailto:soporte@mci-desarrollo.es">soporte@mci-desarrollo.es</a></p>
<p><?php esc_html_e('Thank you very much for using our plugin! ', 'supplier-order-email');?>
  <a href='https://wordpress.org/support/plugin/simple-product-sample-for-woocommerce/reviews/#new-post' target="_blank"
    rel="nofollow">
    <b><?php esc_html_e('You help us a lot if you value it with  ', 'supplier-order-email');?></b> <span class="stars">★
      ★ ★ ★ ★</span>
</p>
</a>

<div id="mcisps_help">
  <h3><?php esc_html_e('HOW TO CONFIGURE YOUR SAMPLES:')?></h3>
  <b><?php esc_html_e('Configure how you want to show the sample on each product and its price in: Products->Edit product page->Inventory->Simple Product Sample')?></b>
</div>

<form action="" method="post">

  <hr>

  <h3><?php esc_html_e('OPTIONS', 'simple-product-sample')?></h3>


  <label for="max_samples"><?php esc_html_e('Maximum number of samples per order')?></label>
  <input type="number" name="max_samples" id="max_samples" max="1000" min="1" value="<?php if (get_mcisps_option('max_samples') !== null) {
        echo get_mcisps_option('max_samples');
    } else {
        echo 3;
    }?>">


  <br>
  <br>

  <input type="checkbox" name="no_variations" id="no_variations"
    <?php if (get_mcisps_option('no_variations') != null && get_mcisps_option('no_variations') == 1) {echo 'checked';}?>>
  <label
    for="no_variations"><?php esc_html_e('Avoid having to choose options in product page to order samples of variable products. (Do not add the details of variations to the cart).', 'simple-product-sample')?></label>

  <hr>

  <input type="submit" name="submit_update" class="btn btn-primary"
    value="<?php esc_attr_e('Update', 'simple-product-sample');?>">
</form>

<?php } // end mcisps_configuration_panel